Trendtracker Connect

Get Acquisition Proof Points

Returns proof points for acquisitions, based on the input filters. The start and end date filters relate to the acquisition date.

GET
/indicators/acquisitions/proof-points

Authorization

APIKeyHeader superAdmin
x-api-key<token>

In: header

Scope: superAdmin

Query Parameters

skip?Skip

The number of results to skip.

Default0
Range0 <= value
take?Take

The maximum number of results to return.

Default10
Range0 <= value <= 100
sortDirection?SortDirections

The direction to sort the results.

Default"asc"
Value in"asc" | "desc"
returnTotal?Returntotal

Whether to return the total number of results.

Defaultfalse
topicIds*array<string>

The id of a topic node, can be either provider:id or just id. The id is a valid UUID. The providers is one of trb. One or more topic ids.

Items1 <= items
loadChildren?Loadchildren

If True, include organizations active in child topics of the given topic(s).

Defaultfalse
resolveIds?Resolveids

If True, parse each id as TopicId. If False, treat topic_ids as raw _id values for topic nodes in Neo4j.

Defaulttrue
certainty?Certainty

The certainty threshold for the organizations to be included in the results, use 0 to include all links. Typically certainty >= has the topic in the company name, certainty >= 0.7 mentions the topic twice in the company description, certainty >= 0.6 mentions the topic once in the company description and certainty below that mentions the topic in the extended company description.

Default0
Range0 <= value <= 1
start?|

Only consider nodes/events on or after this date.

end?|

Only consider nodes/events on or before this date.

topicLink?AcquisitionTopicLink

Filters on the link between the organization involved in the acquisition and the topic.

Default"both"
Value in"acquirer" | "acquiree" | "both"
acquisitionTypes?array<>|

Filters on the type of acquisition. If not provided, all types are included.

acquirerEmployeesCounts?array<>|

Filters on the number of employees the acquirer organization has, in different ranges. If not provided, all organizations are included. You can use 'unknown' to include organizations with no employee count.

acquireeEmployeesCounts?array<>|

Filters on the number of employees the acquiree organization has, in different ranges. If not provided, all organizations are included. You can use 'unknown' to include organizations with no employee count.

sortColumn?AcquisitionProofPointSortColumns

The column to sort the results by.

Default"acquired_on"
Value in"acquired_on" | "amount" | "acquirer" | "acquiree" | "certainty"

Response Body

application/json

application/json

curl -X GET "https://connect-api.trendtracker.ai/indicators/acquisitions/proof-points?topicIds=string"
{
  "data": [
    {
      "id": "string",
      "acquisitionType": "acquihire",
      "acquiredOn": "2019-08-24",
      "amount": 0,
      "acquirer": {
        "id": "string",
        "name": "string"
      },
      "acquiree": {
        "id": "string",
        "name": "string"
      },
      "certainty": 0
    }
  ],
  "total": 0
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}